<?php
App::uses('AppComponent', 'Controller/Component');
App::uses('Validation', 'Utility');

class CustomFieldsDataComponent extends AppComponent {

	/**
	 * run the form injection
	 * For custom fields this add type / validation arrays to the template for fields
	 *
	 * @param   array       Data from $this->request->data
	 * @param   object      Model Object for the primary model we are dealing with
	 * @param   int|null    The ID if on edit or null of add
	 */
	public function injectAdminForm($data, $Model, $id) {
		if ($this->_controller->request->is('post') || $this->_controller->request->is('put')) {

			$CustomFieldData = EvClassRegistry::init('EvCustomFields.CustomFieldData');
			$this->_controller->set('cfValidationErrors', json_encode($CustomFieldData->validationErrors));
		}
	}
}
